#ifndef LIB_H
#define LIB_H

struct BOD {
    int x;
    int y;
    int val;
    BOD(){this->x=0;this->y=0;this->val=0;};
    BOD(int xx,int yy,int vval){x=xx;y=yy;val=vval;}
    BOD(int xx,int yy){x=xx;y=yy;val=0;}
    BOD(const BOD &s):x(s.x),y(s.y),val(s.val){} // copy constructor
    bool operator<(const BOD &druhy) const;
};



#endif // LIB_H
